Search
POST Search all plans in a workspace
POST Search all plans in a workspaceFind all plans in a workspace corresponding to the search attributes
POST https://api.tability.app/v2/workspaces/:workspaceID/search/plans
Request Body
filter
String
Search filters
page
number
Identifier of the page results to fetch
[
{
"id": "b82dc810-75d9-4010-bc25-e29f536289ea",
"parent_id": null,
"workspace_id": "f709df85-fa72-43d4-b398-db159ec6f8da",
"nano_slug": "kHmU5VuMY0Tl",
"title": "Company OKRs 2023 Q4",
"plan_icon": "",
"start_at": "2023-10-01T00:00:00.000Z",
"finish_at": "2023-12-31T00:00:00.000Z",
"state": "published",
"created_at": "2023-11-23T12:41:13.597Z",
"updated_at": "2023-11-29T05:55:20.712Z",
"outcome_progress_prct": 0.133004926108374,
"initiative_progress_prct": 0.0,
"red_outcomes_count": 0,
"yellow_outcomes_count": 0,
"green_outcomes_count": 1,
"grey_outcomes_count": 4,
"total_outcomes_count": 5,
"ncs": 20.0,
"total_initiatives_count": 0,
"closed_initiatives_count": 0,
"archived": false,
"cached_tag_list": null,
"reminders_hour": 8,
"reminders_start_at": null,
"reminders_interval": 1,
"reminders_period": "week",
"active": true,
"expired": false,
"parent": null
}
]Using plan filters
You can pass filters in a JSON body to your POST request to filter plans.
Here are the available filters:
title: will return all plans matching a specific titlechildren_of: will return all plans that are sub-plans or a specific plan (using the UUID or Nano ID of the parent plan)archived: archived status of the planstatus: status of the planstatus = active -> will return plans that are currently in progress
status = planning -> will return all plans that have a finish date in the future
start_after: returns all plans starting after a specific date
POST Search all objectives in a workspace
POST Search all objectives in a workspaceFind all objectives in a workspace corresponding to the search attributes
POST https://api.tability.app/v2/workspaces/:workspaceID/search/objectives
Request Body
filter
String
Search filters
page
number
Identifier of the page results to fetch
Using objective filters
You can pass filters in a JSON body to your POST request to filter objectives.
Here are the available filters:
is_in_progress: if true, only returns objectives in plans that are currently in progressarchived: return all objectives that where archived is "true" or "false"start_at: returns all objectives in plans that start on or after a datefinish_at: returns all objectives in plans that finish on or before a date
POST Search all outcomes in a workspace
POST Search all outcomes in a workspaceFind all outcomes in a workspace corresponding to the search attributes
POST https://api.tability.app/v2/workspaces/:workspaceID/search/outcomes
Request Body
filter
String
Search filters
page
number
Identifier of the page results to fetch
Using outcome filters
You can pass filters in a JSON body to your POST request to filter outcomes.
Here are the available filters:
is_in_progress: if true, only returns outcomes in plans that are currently in progressarchived: return all outcomes that where archived is "true" or "false"start_at: returns all outcomes in plans that start on or after a datefinish_at: returns all outcomes in plans that finish on or before a date
POST Search all initiatives in a workspace
POST Search all initiatives in a workspaceFind all initiatives in a workspace corresponding to the search attributes
POST https://api.tability.app/v2/workspaces/:workspaceID/search/initiatives
Request Body
filter
String
Search filters
page
number
Identifier of the page results to fetch
Using initiative filters
You can pass filters in a JSON body to your POST request to filter outcomes.
Here are the available filters:
is_in_progress: if true, only returns initiatives in plans that are currently in progressarchived: return all outcomes that where archived is "true" or "false"start_at: returns all outcomes in plans that start on or after a datefinish_at: returns all outcomes in plans that finish on or before a date
Last updated